cURL
curl --request POST \
--url https://api.starmonitors.com/stock \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"storeName": "walmart",
"upc": "622356633604",
"zipcode": "10036"
}
'import requests
url = "https://api.starmonitors.com/stock"
payload = {
"storeName": "walmart",
"upc": "622356633604",
"zipcode": "10036"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({storeName: 'walmart', upc: '622356633604', zipcode: '10036'})
};
fetch('https://api.starmonitors.com/stock', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Found 27 store(s) with stock",
"stores": [
{
"zip": "07852",
"address": "461 Rt 10 Suite A100",
"city": "Ledgewood",
"price": 169,
"storeUrl": "https://www.walmart.com/store/3912",
"backRoom": 0,
"salesFloor": 2,
"id": "3912",
"state": "NJ",
"aisles": "H40-5"
},
{
"zip": "11735",
"address": "965 Broadhollow Rd",
"city": "Farmingdale",
"price": 169,
"storeUrl": "https://www.walmart.com/store/5295",
"backRoom": 1,
"salesFloor": 5,
"id": "5295",
"state": "NY",
"aisles": "H29-9"
}
]
}{
"error": 123,
"message": "<string>"
}In-Store API
Fetch Stock
Check stock status for a product at a specific store
POST
/
stock
cURL
Authorizations
Body
application/json
Stock check request parameters
